TRAFFIC_LOGCAT(8)

NAME
traffic_logcat - Traffic Server log spooler

SYNOPSIS

traffic_logcat [-o output-file | -a] [-CEhSVw2] [input-file ...]

DESCRIPTION

To analyse a binary log file using standard tools, you must first convert it to ASCII. traffic_logcat does exactly that.

OPTIONS

    -o PATH, --output_file PATH

Specifies where the command output is directed.

    -a, --auto_filename

Automatically generates the output filename based on the input filename. If the input is from stdin, then this option is ignored. For example:

        traffic_logcat -a squid-1.blog squid-2.blog squid-3.blog

generates:

        squid-1.log squid-2.log squid-3.log

    -f, --follow

Follows the file, like tail(1) -f

    -C, --clf

Attempts to transform the input to Netscape Common format, if possible.

    -E, --elf

Attempts to transform the input to Netscape Extended format, if possible.

    -S, --squid

Attempts to transform the input to Squid format, if possible.

    -2, --elf2

Attempt to transform the input to Netscape Extended-2 format, if possible.

    -T, --debug_tags

    -w, --overwrite_output

    -h, --help
        Print usage information and exit.

    -V, --version
        Print version information and exit.

NOTE:
        Use only one of the following options at any given time: -S, -C, -E, or -2.

If no input files are specified, then traffic_logcat reads from the standard input (stdin). If you do not specify an output file, then traffic_logcat writes to the standard output (stdout).

For example, to convert a binary log file to an ASCII file, you can use the traffic_logcat command with either of the following options below:

        traffic_logcat binary_file > ascii_file
        traffic_logcat -o ascii_file binary_file

The binary log file is not modified by this command.

SEE ALSO

tail(1)

COPYRIGHT
2020, dev@trafficserver.apache.org